using ProjectPatientAccounting.Entities.Enums;
using ProjectPatientAccounting.Entities;

namespace ProjectPatientAccounting.Repositories.Implementations;
public class PatientDiagnosisRepository : IPatientDiagnosisRepository
{
    public void CreateDiagnosis(PatientDiagnosis diagnosis)
    {
    }

    public void DeleteDiagnosis(int id)
    {
    }

    public PatientDiagnosis ReadDiagnosisById(int id)
    {
        return PatientDiagnosis.CreateEntity(0, string.Empty, 0, PatientDiagnosisStatus.None);
    }

    public IEnumerable<PatientDiagnosis> ReadDiagnosises()
    {
        return [];
    }

    public void UpdateDiagnosis(PatientDiagnosis diagnosis)
    {
    }
}
